Page MenuHomePhabricator

[libc++] Remove several bots that now exist in Buildkite
ClosedPublic

Authored by ldionne on Nov 19 2020, 10:26 AM.

Details

Summary

Our Buildkite pipeline has these bots (and more), and it is executed
both on Phabricator reviews and regularly against the master branch.

Event Timeline

ldionne created this revision.Nov 19 2020, 10:26 AM
ldionne requested review of this revision.Nov 19 2020, 10:26 AM

Does any worker go away too?

LGTM.

I don't see a reason to keep the builders.

ldionne accepted this revision.Dec 1 2020, 8:26 AM

Accepting to try and close the rev -- it looks like llvm-zorg doesn't have the same automation as other repos.

This revision is now accepted and ready to land.Dec 1 2020, 8:26 AM
ldionne closed this revision.Dec 1 2020, 8:26 AM
gkistanova reopened this revision.Dec 1 2020, 1:27 PM

Sorry if I wasn't clear enough with my request.

Please also remove all your abandoned workers from buildbot/osuosl/master/config/workers.py, as well as the docker_workers variable which is not used any more.

This revision is now accepted and ready to land.Dec 1 2020, 1:27 PM
gkistanova requested changes to this revision.Dec 1 2020, 1:27 PM
This revision now requires changes to proceed.Dec 1 2020, 1:27 PM

Sorry if I wasn't clear enough with my request.

Please also remove all your abandoned workers from buildbot/osuosl/master/config/workers.py, as well as the docker_workers variable which is not used any more.

Oh, I apologize, I thought we were speaking of the actual worker machines in GCE, which I assumed Eric would get rid of. Now it makes more sense -- I didn't understand why you cared about those workers :-).

gkistanova accepted this revision.Dec 1 2020, 4:43 PM

I guess that's D92426.

This revision is now accepted and ready to land.Dec 1 2020, 4:43 PM

Sorry for late comments. Just stumbled upon this patch.

buildbot/osuosl/master/config/builders.py
1331–1340

Is there really an equivalent in Buildkite? I could not find one.

1398–1407

Same for this one.

ldionne added a subscriber: phosek.Dec 2 2020, 1:45 PM
ldionne added inline comments.
buildbot/osuosl/master/config/builders.py
1331–1340

You're right, this one was dropped. See D92508.

1398–1407

So, about this one. We don't actually want to support all the way back to GCC 5, so that's why I didn't add it on Buildkite. It's actually impossible to build a proper libc++ with such old compilers (for example that compiler doesn't know about char8_t, so it can't generate the RTTI for that fundamental type). As I've said in several places before, we need to straighten our actual compiler support matrix to something that makes sense, and I'm waiting for the runtimes build to become the default way to build libc++ in order to make that change officially.

We're working on that with @phosek.

OK, that's clear now. Thank you for the answer, Louis.

ldionne closed this revision.Dec 3 2020, 10:28 AM

Closing since we made the follow-up changes in D92426.